Subject: Re: [Geopriv] Fwd: IPR Disclosure: Qualcomm Incorporated's Statement about IPR related to RFC 4119

From: "James M. Polk" <[email-masked]>
Date: Thu, 02 Jun 2011 12:46:34 -0500

Regardless of the impact, what's this with Qualcomm bringing this IPR 
declaration 6 years after the document became an RFC *WHILE* being 
the WG chair of this group at the time of _every_ version of this 
draft and while the RFC was being published?

I believe there were also Qualcomm (employed) contributing members of 
this WG through the lifecycle of the draft during its creation and 
editing as well.

I believe Qualcomm employed the responsible AD for this WG too at this time.

this has me scratching my head wrt the very existence of the NOTE 
WELL everybody is supposed to live within the IETF.

James

BTW - I don't know if this is exactly like the ALU case Russ just 
posted about, but it's pretty darn close, and should seriously be looked at.

At 12:34 PM 5/24/2011, Richard L. Barnes wrote:
><hat type="individual"/>
>
>For your convenience, the referenced patent is titled "Reducing 
>satellite signal interference in a global positioning system receiver"
><http://www.google.com/patents?id=YqsIAAAAEBAJ>
>
>As far as I can tell, this has basically no relationship to the data 
>format defined in RFC 4119.  Even if the geolocation fields in a 
>PIDF-LO document were filled from an infringing GPS receiver, it 
>would be the receiver that caused the infringement, not the PIDF-LO encoding.
>
>--Richard
>
>
>
>Begin forwarded message:
>
> > From: IETF Secretariat <[email-masked]>
> > Date: May 24, 2011 1:21:11 PM EDT
> > To: [email-masked]
> > Cc: [email-masked], [email-masked], 
> [email-masked], [email-masked], [email-masked], 
> [email-masked], [email-masked]
> > Subject: IPR Disclosure: Qualcomm Incorporated's Statement about 
> IPR related to RFC 4119
> >
> > Dear Jon Peterson:
> >
> > An IPR disclosure that pertains to your RFC entitled "A 
> Presence-based GEOPRIV
> > Location Object Format" (RFC4119) was submitted to the IETF Secretariat on
> > 2011-05-24 and has been posted on the "IETF Page of Intellectual 
> Property Rights
> > Disclosures" (https://datatracker.ietf.org/ipr/1560/). The title of the IPR
> > disclosure is "Qualcomm Incorporated's Statement about IPR 
> related to RFC 4119."
> >
> > The IETF Secretariat
> >
> >
>
>_______________________________________________
>Geopriv mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/geopriv

---

From: Alan Clark <[email-masked]>
Date: Thu, 2 Jun 2011 14:06:50 -0400

Independently from anything the IETF may choose to do (or not), the US
Federal Trade Commission (www.ftc.gov) sometimes gets involved in matters
relating to US companies failing to disclose intellectual property related
to standards activities in which they participate.  There have been a number
of cases in which the FTC have penalized the patent holder where it could be
clearly shown the that patent holder participated in the development of a
standard and failed to disclose the existence of patent rights related to
the standard.

Alan

---

From: "Carl Reed" <[email-masked]>
Date: Fri, 3 Jun 2011 09:36:08 -0600

Indeed. The issue of an company "submarining" their IP into standards work 
came out in a big way in the Rambus case.

http://www.pcworld.com/article/109132/rambus_patent_case_could_change_business.html

This particular case and similar ones caused our standards organization (the 
OGC) to completely rework our intellectual property policy to insure that 
our standards are 1.) unencumbered by any IP and 2.) defensible if anyone 
does bring a claim of infringement at a later time. Both OASIS and the W3C 
also reworked their IP policies in the same general timeframe.

Carl

----- Original Message ----- 
From: "Alan Clark" <[email-masked]>
To: "James M. Polk" <[email-masked]>; "Richard L. Barnes" 
<[email-masked]>; <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, June 02, 2011 12:06 PM
Subject: Re: [Geopriv] Fwd: IPR Disclosure: Qualcomm Incorporated's 
Statement about IPR related to RFC 4119

---

From: Pete Resnick <[email-masked]>
Date: Wed, 15 Jun 2011 15:12:57 -0500

Folks,

I'm discussing this with people inside of Qualcomm, and I expect we'll 
get an official answer soon. But I did want to let you know at this 
point that as far as I can tell, none of the Qualcomm people who were 
involved in geopriv were aware of the existence this patent before it 
was publicly disclosed to the IETF (nor was I), and I believe the 
disclosure was made as soon as reasonably possible after it was thought 
that the patent might have had anything to do with RFC 4119 (which is 
what anyone with IPR is supposed to do). But again, I'm expecting a more 
official answer soon.

pr

-- 
Pete Resnick<http://www.qualcomm.com/~presnick/>
Qualcomm Incorporated - Direct phone: (858)651-4478, Fax: (858)651-1102

---

From: Pete Resnick <[email-masked]>
Date: Wed, 15 Jun 2011 15:46:45 -0500

[Resending, Cc'ing chairs]

Folks,

pr

---

From: Alan Clark <[email-masked]>
Date: Wed, 15 Jun 2011 17:07:13 -0400

Pete

Many large companies have substantial patent portfolios and could avoid the
disclosure requirements of standards organizations if they could claim that
the participants in standards activities were not personally aware of
patents that may affect standards under development.  IMHO if this were
allowed to happen then patent disclosure requirements become completely
ineffective.

In my opinion - any company participating in any standards activity should
either:

(i) Establish an internal process by which they monitor the standards
activities in which they participate and constantly review their patent
database for potential applicability (relatively easy given that everything
is electronic).  If they find a matching patent or application related to an
in-process standards activity they should disclose it and state the
applicable licensing terms - if the standards activity has already completed
then they should waive their right to enforce the patent with reference to
the standard.

(ii) Make a blanket statement to the standards body that they were willing
to make licenses available royalty-free with the condition of reciprocity.
This avoids the need to track anything and preserves some ability to use
patents defensively.

Alan

---

From: John C Klensin <[email-masked]>
Date: Wed, 15 Jun 2011 19:58:40 -0400

Alan,

I'm not defending Qualcomm - I don't know the facts of this
matter and have no opinion on whether I would defend them if I
did.  However... (inline below)....

--On Wednesday, June 15, 2011 17:07 -0400 Alan Clark
<[email-masked]> wrote:

> Pete
> 
> Many large companies have substantial patent portfolios and
> could avoid the disclosure requirements of standards
> organizations if they could claim that the participants in
> standards activities were not personally aware of patents that
> may affect standards under development.  IMHO if this were
> allowed to happen then patent disclosure requirements become
> completely ineffective.
>...

Some others have done exactly that before.  The rule that you
prefer is certainly a possible one (but see below).  However,
the IETF's various IPR WGs considered the issue very carefully
and arrived at the "personal knowledge" requirement, so, in
commenting about personal knowledge, Pete is merely reflecting
the way our rules are written.

IANAL, but I understand that there is some case law in which
judges have taken a dim view of companies organizing themselves
in ways that seem to have the sole purposes of evading the
requirements of SDOs or of surfacing submarine patents at times
that give them unreasonable or unfair advantages.
 
> In my opinion - any company participating in any standards
> activity should either:
> 
> (i) Establish an internal process by which they monitor the
> standards activities in which they participate and constantly
> review their patent database for potential applicability
> (relatively easy given that everything is electronic).  If
> they find a matching patent or application related to an
> in-process standards activity they should disclose it and
> state the applicable licensing terms - if the standards
> activity has already completed then they should waive their
> right to enforce the patent with reference to the standard.
 
> (ii) Make a blanket statement to the standards body that they
> were willing to make licenses available royalty-free with the
> condition of reciprocity. This avoids the need to track
> anything and preserves some ability to use patents defensively.

Unfortunately, there is a third possibility, one that companies
take when they perceive the requirements of a particular SDO or
consortium are too expensive or otherwise burdensome: they drop
out and prohibit their employees and others over whom they have
control from participating.   While I think many of us would
prefer one of the two choices you outline, the possibility of
the third should continue to make us cautious about too-sweeping
rules.

     john

---

From: "Gonell, Fabian" <[email-masked]>
Date: Thu, 16 Jun 2011 20:01:00 +0000

Pete Resnick brought this mailing list to my attention and I have subscribed to it to respond to the recent discussion regarding Qualcomm's IPR disclosure related to RFC 4119.  I will continue to subscribe through the end of June 2011 to respond to any further inquiries on this matter.  Thereafter, I can be reached at the email address from which I sent this message.
 
The disclosure to RFC 4119 was made in error, and will be withdrawn shortly.  The particular patent was identified as one that might be necessarily infringed by Implementing Technology if one or more drafts submitted in 2010 and 2011 by M. Thomson of Andrew Corporation were developed into an RFC.  RFC 4119 was mistakenly identified as a relevant document in our internal disclosure processes and that error was not caught before the disclosure was made.  We apologize for the confusion.
 
That said, much of the recent discussion appears to be based on misunderstandings of the applicable IETF rules.  The applicable IETF rules are found in RFC 3979. Disclosure rules are in section 6 of that document.  Those participating in or following the recent discussion should note the following three points.
 
First, RFC 3979 requires disclosures based on the personal knowledge of the participants.  See Section 6.1.2:
 
   Any *individual* participating in an IETF discussion who *reasonably and
   personally knows* of IPR meeting the conditions of Section 6.6 which
   the individual believes Covers or may ultimately Cover a Contribution
   made by another person, or which such IETF participant reasonably and
   personally knows his or her employer or sponsor may assert against
   Implementing Technologies based on such Contribution, must make a
   disclosure in accordance with this Section 6.  (emphasis added)
 
Second, RFC 3979 specifically and unequivocally states that there is no requirement to perform a patent search.  See Section 1.l. (stating that the term "reasonably and personally known" "should not be interpreted as requiring the IETF Contributor or participant (or his or her represented organization, if any) to perform a patent search to find applicable IPR").
 
Third, RFC 3979 specifically contemplates and acknowledges that disclosures made after an RFC is published may be timely.  See Section 6.2.2:
 
   If a participant first learns of IPR that meets the conditions of
   Section 6.6 in a Contribution by another party, for example a new
   patent application or *the discovery of a relevant patent in a patent
   portfolio, after the Contribution was published in an Internet-Draft
   or RFC,* a disclosure must be made as soon as reasonably possible
   after the IPR becomes reasonably and personally known to the
   participant. (emphasis added)
 
Given the plain text of RFC 3979, the insinuations of wrongdoing in the recent discussion are ill founded.  I have spoken with Randall Gellens, who was one of the WG co-chairs during the relevant time period, and he did not know anything about the patent at issue.  That is not surprising, because the patent was developed by a subsidiary company in which Randall did not work at a time when such subsidiary was an independent company not yet owned by Qualcomm.  Further, Randall's product development responsibilities at Qualcomm did not involve position location.  We also reached out to Ted Hardie, who was Applications Area Director and who no longer works at Qualcomm, and confirmed that he also knew nothing about the particular patent.  Ted also did not work in the subsidiary that owned the patent, and in any event the patent was developed years before Ted joined Qualcomm.
 
In light of these facts, the suggestion that this situation was "pretty darn close" to one in which the *author* of a draft document is also the *named inventor* of a patent disclosed after an RFC was published is completely erroneous and, frankly, inappropriate. Nor was this a situation in any way analogous to what the FTC alleged with respect to Rambus, a matter in which Rambus was alleged to have *refused* to give a RAND commitment while Qualcomm's (erroneous) disclosure to RFC 4119 explicitly included a RAND commitment to offer licenses.  Randall and Ted have given years of service to the IETF in general and to this WG in particular.  They deserve better than to have their good names casually smeared on this mailing list.

Fabian Gonell
QUALCOMM Incorporated

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of John C Klensin
Sent: Wednesday, June 15, 2011 4:59 PM
To: Alan Clark
Cc: Resnick, Pete; [email-masked]; 'WG Chairs'
Subject: Re: [Geopriv] Fwd: IPR Disclosure: Qualcomm Incorporated's Statement about IPR related to RFC 4119

Alan,

 

     john

---

From: "Winterbottom, James" <[email-masked]>
Date: Fri, 17 Jun 2011 04:30:25 +0800

Given that Martin Thomson has submitted a great many draft in that time, perhaps you would care to elaborate specifically as to which ones you are referring to?

Regards

James Winterbottom
Global Product Manager
CommScope GeoLENs
IP Location Product Portfolio
Email: [email-masked]
Phone: +61-2-42-212938
Mobile: +61-447-773-560

> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Gonell, Fabian
> Sent: Friday, 17 June 2011 6:01 AM
> To: John C Klensin; Alan Clark
> Pete Resnick brought this mailing list to my attention and I have
> subscribed to it to respond to the recent discussion regarding Qualcomm's
> IPR disclosure related to RFC 4119.  I will continue to subscribe through
> the end of June 2011 to respond to any further inquiries on this matter.
> Thereafter, I can be reached at the email address from which I sent this
> message.
> 
> The disclosure to RFC 4119 was made in error, and will be withdrawn
> shortly.  The particular patent was identified as one that might be
> necessarily infringed by Implementing Technology if one or more drafts
> submitted in 2010 and 2011 by M. Thomson of Andrew Corporation were
> developed into an RFC.  RFC 4119 was mistakenly identified as a relevant
> document in our internal disclosure processes and that error was not
> caught before the disclosure was made.  We apologize for the confusion.
> 
> That said, much of the recent discussion appears to be based on
> misunderstandings of the applicable IETF rules.  The applicable IETF rules
> are found in RFC 3979. Disclosure rules are in section 6 of that document.
> Those participating in or following the recent discussion should note the
> following three points.
> 
> Second, RFC 3979 specifically and unequivocally states that there is no
> requirement to perform a patent search.  See Section 1.l. (stating that
> the term "reasonably and personally known" "should not be interpreted as
> requiring the IETF Contributor or participant (or his or her represented
> organization, if any) to perform a patent search to find applicable IPR").
> 
> Third, RFC 3979 specifically contemplates and acknowledges that
> disclosures made after an RFC is published may be timely.  See Section
> 6.2.2:
> 
> Given the plain text of RFC 3979, the insinuations of wrongdoing in the
> recent discussion are ill founded.  I have spoken with Randall Gellens,
> who was one of the WG co-chairs during the relevant time period, and he
> did not know anything about the patent at issue.  That is not surprising,
> because the patent was developed by a subsidiary company in which Randall
> did not work at a time when such subsidiary was an independent company not
> yet owned by Qualcomm.  Further, Randall's product development
> responsibilities at Qualcomm did not involve position location.  We also
> reached out to Ted Hardie, who was Applications Area Director and who no
> longer works at Qualcomm, and confirmed that he also knew nothing about
> the particular patent.  Ted also did not work in the subsidiary that owned
> the patent, and in any event the patent was developed years before Ted
> joined Qualcomm.
> 
> In light of these facts, the suggestion that this situation was "pretty
> darn close" to one in which the *author* of a draft document is also the
> *named inventor* of a patent disclosed after an RFC was published is
> completely erroneous and, frankly, inappropriate. Nor was this a situation
> in any way analogous to what the FTC alleged with respect to Rambus, a
> matter in which Rambus was alleged to have *refused* to give a RAND
> commitment while Qualcomm's (erroneous) disclosure to RFC 4119 explicitly
> included a RAND commitment to offer licenses.  Randall and Ted have given
> years of service to the IETF in general and to this WG in particular.
> They deserve better than to have their good names casually smeared on this
> mailing list.
> 
> Fabian Gonell
> QUALCOMM Incorporated
> 
>

---

From: "Gonell, Fabian" <[email-masked]>
Date: Thu, 16 Jun 2011 21:17:17 +0000

We have not yet been able to trace the erroneous reference to RFC 4119 to a particular draft but we are working to do so.  If and when we identify a particular draft as to which this patent might be necessarily infringed by Implementing Technology we will submit the appropriate disclosure to such draft.

--Fabian

-----Original Message-----
From: Winterbottom, James [mailto:[email-masked]] 
Sent: Thursday, June 16, 2011 1:30 PM
To: Gonell, Fabian; John C Klensin; Alan Clark
Cc: Resnick, Pete; [email-masked]; 'WG Chairs'
Subject: RE: [Geopriv] Fwd: IPR Disclosure: Qualcomm Incorporated's Statement about IPR related to RFC 4119

Regards

James Winterbottom
Global Product Manager
CommScope GeoLENs

> Of John C Klensin

---

From: Ted Hardie <[email-masked]>
Date: Thu, 16 Jun 2011 21:33:33 -0700

>
> We also reached out to Ted Hardie, who was Applications Area Director and
> who no longer works at Qualcomm, and confirmed that he also knew nothing
> about the particular patent.  Ted also did not work in the subsidiary that
> owned the patent, and in any event the patent was developed years before Ted
> joined Qualcomm.
>

Just so that this statement is not made only at third hand, I confirm that I
was not aware of this patent during the time I was AD, nor during my other
participation in Geopriv.

best regards,

Ted Hardie